README
======

# Transistor - Simple Radio App

**Version 4.1.x ("Modern Love")**

Transistor is an app with a minimalistic approach for listening to radio programs over the internet, which may not be to everyone's liking. It has no radio station discovery feature. Transistor only offers a very simple search option and it imports audio streaming links when you tap them in a web browser.

Transistor is free software. It is published under the [MIT open source license](https://opensource.org/licenses/MIT). Want to help? Please check out the notes in [CONTRIBUTE.md](https://github.com/y20k/transistor/blob/master/CONTRIBUTE.md) first.

## Install Transistor
You can install Transistor via F-Froid.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/repository/browse/?fdid=org.y20k.transistor)

## Frequent Questions

### How can I add a radio station
There are three ways to add a radio station to Transistor: Use Search, add playlist file address (M3U, PLS), enter a raw stream address.

### Where do the radio station search results come from?
Transistor searches the [radio-browser.info](http://www.radio-browser.info/) online database. You can help out the radio-browser.info community by [adding the missing station](http://www.radio-browser.info/gui/#!/add) to their database.

### Which audio formats are supported?
Transistor can play back streams encoded in MP3, AAC and Ogg/Opus. It also has experimental support for HLS streams.

### How can I curate the radio station list?
Use the swipe gesture to delete a radio station from the list. Further editing options can be enabled in Settings. If enabled, tap and hold a radio station to edit its name, image or streaming link.

## Screenshots (v4.1)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/01-transistor-v4.1.0-playback.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/01-transistor-v4.1.0-playback.png)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/02-transistor-v4.1.0-playback-details.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/02-transistor-v4.1.0-playback-details.png)

[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/03-transistor-v4.1.0-add-station.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/03-transistor-v4.1.0-add-station.png)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/04-transistor-v4.1.0-favorite-station.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/04-transistor-v4.1.0-favorite-station.png)

[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/05-transistor-v4.1.0-delete-station.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/05-transistor-v4.1.0-delete-station.png)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/06-transistor-v4.1.0-edit-station.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/06-transistor-v4.1.0-edit-station.png)